Page MenuHomePhabricator

npm 3 requires peer dependencies to be explicitly defined in package.json
Closed, ResolvedPublic

Description

npm 3 no more installs peer dependencies, they thus have to be explicitly defined in package.json. We want to upgrade from npm 2 to 3 (T161861).

Example:

npm WARN peerDependencies The peer dependency stylelint@^6.4.0 included from stylelint-config-standard will no
npm WARN peerDependencies longer be automatically installed to fulfill the peerDependency 
npm WARN peerDependencies in npm 3+. Your application will need to depend on it explicitly.

From Jenkins build log on contint1001.wikimedia.org as of July 31th:

grep -Z -l peerDependencies /srv/jenkins/builds/*npm*/*/log|xargs -0 -n1 grep 'Cloning repository'|cut -d\/ -f4-|sort|uniq
RepoPatch
labs/tools/heritageDONE https://gerrit.wikimedia.org/r/#/c/368627/
mediawiki/services/mobileapps/deployDONE
mediawiki/services/parsoidDONE
mediawiki/services/trending-editshttps://gerrit.wikimedia.org/r/368640
mediawiki/services/trending-edits/deployNeed above patch to make it in the submodule
mediawiki/skins/apexDONE https://gerrit.wikimedia.org/r/368629
mediawiki/skins/CologneBlueDONE https://gerrit.wikimedia.org/r/368630
mediawiki/skins/MinervaNeueDONE https://gerrit.wikimedia.org/r/368631
mediawiki/skins/ModernDONE https://gerrit.wikimedia.org/r/368632
mediawiki/skins/MonoBookDONE https://gerrit.wikimedia.org/r/368633
mediawiki/skins/NostalgiaDONE https://gerrit.wikimedia.org/r/368635
mediawiki/skins/TimelessDONE https://gerrit.wikimedia.org/r/368636
mediawiki/skins/VectorDONE https://gerrit.wikimedia.org/r/368637
VisualEditor/VisualEditorDONE https://gerrit.wikimedia.org/r/362381
wikidata/query/guiDONE T171358 https://gerrit.wikimedia.org/r/#/c/366987/
wikimedia/portalsDONE T158797 https://gerrit.wikimedia.org/r/#/c/339243/

MediaWiki extensions

Gerrit search https://gerrit.wikimedia.org/r/#/q/is:open+project:%255Emediawiki/extensions/.*+Ic640ccf0f577e47036d473892522ea758014fab4

RepoPatch
mediawiki/extensions/3D
mediawiki/extensions/AbuseFilter
mediawiki/extensions/AdvancedSearch
mediawiki/extensions/ApiFeatureUsage
mediawiki/extensions/ArticlePlaceholder
mediawiki/extensions/Babel
mediawiki/extensions/BetaFeatures
mediawiki/extensions/BoilerPlate
mediawiki/extensions/Calendar
mediawiki/extensions/Capiunto
mediawiki/extensions/CategoryTree
mediawiki/extensions/CentralAuth
mediawiki/extensions/CentralNotice
mediawiki/extensions/CharInsert
mediawiki/extensions/CirrusSearch
mediawiki/extensions/Cite
mediawiki/extensions/CiteThisPage
mediawiki/extensions/Citoid
mediawiki/extensions/CleanChanges
mediawiki/extensions/CodeEditor
mediawiki/extensions/CodeMirror
mediawiki/extensions/CodeReview
mediawiki/extensions/CollaborationKit
mediawiki/extensions/Collection
mediawiki/extensions/ConfirmEdit
mediawiki/extensions/ContributionTracking
mediawiki/extensions/DismissableSiteNotice
mediawiki/extensions/DonationInterface
mediawiki/extensions/Echo
mediawiki/extensions/EducationProgram
mediawiki/extensions/ElectronPdfService
mediawiki/extensions/EventLogging
mediawiki/extensions/ExtensionDistributor
mediawiki/extensions/FileImporter
mediawiki/extensions/FlaggedRevs
mediawiki/extensions/Flow
mediawiki/extensions/GettingStarted
mediawiki/extensions/GlobalPreferences
mediawiki/extensions/GlobalUserPage
mediawiki/extensions/Graph
mediawiki/extensions/GuidedTour
mediawiki/extensions/GWToolset
mediawiki/extensions/InputBox
mediawiki/extensions/Interwiki
mediawiki/extensions/JsonConfig
mediawiki/extensions/MassMessage
mediawiki/extensions/Math
mediawiki/extensions/MobileApp
mediawiki/extensions/MobileFrontend
mediawiki/extensions/MultimediaViewer
mediawiki/extensions/Newsletter
mediawiki/extensions/OATHAuth
mediawiki/extensions/OAuth
mediawiki/extensions/OpenStackManager
mediawiki/extensions/ORES
mediawiki/extensions/PageTriage
mediawiki/extensions/ParserMigration
mediawiki/extensions/PerformanceInspector
mediawiki/extensions/Petition
mediawiki/extensions/Popups
mediawiki/extensions/ProofreadPage
mediawiki/extensions/QuickSurveys
mediawiki/extensions/Quiz
mediawiki/extensions/ReadingLists
mediawiki/extensions/RevisionSlider
mediawiki/extensions/Score
mediawiki/extensions/Scribunto
mediawiki/extensions/SecurePoll
mediawiki/extensions/ShortUrl
mediawiki/extensions/SyntaxHighlight_GeSHi
mediawiki/extensions/TemplateData
mediawiki/extensions/TemplateSandbox
mediawiki/extensions/TimedMediaHandler
mediawiki/extensions/timeline
mediawiki/extensions/TocTree
mediawiki/extensions/Translate
mediawiki/extensions/TwoColConflict
mediawiki/extensions/UniversalLanguageSelector
mediawiki/extensions/UploadWizard
mediawiki/extensions/UrlShortener
mediawiki/extensions/VipsScaler
mediawiki/extensions/VisualEditor
mediawiki/extensions/Wikibase
mediawiki/extensions/WikibaseMediaInfo
mediawiki/extensions/WikibaseQualityConstraints
mediawiki/extensions/Wikidata.org
mediawiki/extensions/WikidataPageBanner
mediawiki/extensions/WikiEditor
mediawiki/extensions/wikihiero
mediawiki/extensions/WikiLove
mediawiki/extensions/WikimediaBadges
mediawiki/extensions/WikimediaEvents
mediawiki/extensions/WikimediaIncubator
mediawiki/extensions/WikimediaMessages
mediawiki/extensions/Wikispeech
mediawiki/extensions/ZeroBanner
mediawiki/extensions/ZeroPortal

Details

Related Gerrit Patches:
mediawiki/extensions/WikibaseQualityExternalValidation : masterDefine npm peer dependency explicitly
mediawiki/services/trending-edits : masterDefine npm peer dependency explicitly
mediawiki/extensions/WikibaseQuality : masterDefine npm peer dependency explicitly
mediawiki/extensions/timeline : masterDefine npm peer dependency explicitly
mediawiki/extensions/DonationInterface : masterbuild: bump grunt-contrib-watch
mediawiki/extensions/PronunciationRecording : masterbuild: bump grunt-contrib-watch
mediawiki/extensions/PageTriage : masterbuild: bump grunt-contrib-watch
mediawiki/extensions/DonationInterface : masterDefine npm peer dependency explicitly
mediawiki/extensions/DonationInterface : deploymentDefine npm peer dependency explicitly
labs/tools/heritage : masterDefine npm peer dependency explicitly
mediawiki/skins/MinervaNeue : masterDefine npm peer dependency explicitly
mediawiki/skins/MonoBook : masterDefine npm peer dependency explicitly
mediawiki/skins/Modern : masterDefine npm peer dependency explicitly
mediawiki/skins/CologneBlue : masterDefine npm peer dependency explicitly
mediawiki/skins/apex : masterDefine npm peer dependency explicitly
mediawiki/extensions/ZeroBanner : masterDefine npm peer dependency explicitly
mediawiki/extensions/ZeroPortal : masterDefine npm peer dependency explicitly
mediawiki/extensions/TemplateData : masterDefine npm peer dependency explicitly
mediawiki/extensions/Wikibase : masterDefine npm peer dependency explicitly
mediawiki/extensions/RevisionSlider : masterDefine npm peer dependency explicitly
mediawiki/extensions/TwoColConflict : masterDefine npm peer dependency explicitly
mediawiki/extensions/QuickSurveys : masterDefine npm peer dependency explicitly
mediawiki/extensions/MultimediaViewer : masterDefine npm peer dependency explicitly
mediawiki/extensions/Wikispeech : masterDefine npm peer dependency explicitly
mediawiki/extensions/WikimediaBadges : masterDefine npm peer dependency explicitly
mediawiki/extensions/WikimediaMessages : masterDefine npm peer dependency explicitly
mediawiki/extensions/WikimediaIncubator : masterDefine npm peer dependency explicitly
mediawiki/extensions/WikiEditor : masterDefine npm peer dependency explicitly
mediawiki/extensions/WikiLove : masterDefine npm peer dependency explicitly
mediawiki/extensions/wikihiero : masterDefine npm peer dependency explicitly
mediawiki/extensions/WikibaseMediaInfo : masterDefine npm peer dependency explicitly
mediawiki/extensions/Wikidata.org : masterDefine npm peer dependency explicitly
mediawiki/extensions/WikidataPageBanner : masterDefine npm peer dependency explicitly
mediawiki/extensions/WikibaseQualityConstraints : masterDefine npm peer dependency explicitly
mediawiki/skins/Vector : masterDefine npm peer dependency explicitly
mediawiki/skins/Timeless : masterDefine npm peer dependency explicitly
mediawiki/skins/Nostalgia : masterDefine npm peer dependency explicitly
mediawiki/extensions/Translate : masterDefine npm peer dependency explicitly
mediawiki/extensions/VipsScaler : masterDefine npm peer dependency explicitly
mediawiki/extensions/UniversalLanguageSelector : masterDefine npm peer dependency explicitly
mediawiki/extensions/UrlShortener : masterDefine npm peer dependency explicitly
mediawiki/extensions/UploadWizard : masterDefine npm peer dependency explicitly
mediawiki/extensions/TimedMediaHandler : masterDefine npm peer dependency explicitly
mediawiki/extensions/TocTree : masterDefine npm peer dependency explicitly
mediawiki/extensions/TemplateSandbox : masterDefine npm peer dependency explicitly
mediawiki/extensions/SyntaxHighlight_GeSHi : masterDefine npm peer dependency explicitly
mediawiki/extensions/Flow : masterDefine npm peer dependency explicitly
mediawiki/extensions/ShortUrl : masterDefine npm peer dependency explicitly
mediawiki/extensions/Scribunto : masterDefine npm peer dependency explicitly
mediawiki/extensions/SecurePoll : masterDefine npm peer dependency explicitly
mediawiki/extensions/Score : masterDefine npm peer dependency explicitly
mediawiki/extensions/Quiz : masterDefine npm peer dependency explicitly
mediawiki/extensions/PageTriage : masterDefine npm peer dependency explicitly
mediawiki/extensions/ProofreadPage : masterDefine npm peer dependency explicitly
mediawiki/extensions/ParserMigration : masterDefine npm peer dependency explicitly
mediawiki/extensions/Popups : masterDefine npm peer dependency explicitly
mediawiki/extensions/Petition : masterDefine npm peer dependency explicitly
mediawiki/extensions/PerformanceInspector : masterDefine npm peer dependency explicitly
mediawiki/extensions/OAuth : masterDefine npm peer dependency explicitly
mediawiki/extensions/OpenStackManager : masterDefine npm peer dependency explicitly
mediawiki/extensions/MobileApp : masterDefine npm peer dependency explicitly
mediawiki/extensions/ORES : masterDefine npm peer dependency explicitly
mediawiki/extensions/GuidedTour : masterDefine npm peer dependency explicitly
mediawiki/extensions/OATHAuth : masterDefine npm peer dependency explicitly
mediawiki/extensions/Newsletter : masterDefine npm peer dependency explicitly
mediawiki/extensions/MassMessage : masterDefine npm peer dependency explicitly
mediawiki/extensions/JsonConfig : masterDefine npm peer dependency explicitly
mediawiki/extensions/Echo : masterDefine npm peer dependency explicitly
mediawiki/extensions/ElectronPdfService : masterDefine npm peer dependency explicitly
mediawiki/extensions/EventLogging : masterDefine npm peer dependency explicitly
mediawiki/extensions/GWToolset : masterDefine npm peer dependency explicitly
mediawiki/extensions/Interwiki : masterDefine npm peer dependency explicitly
mediawiki/extensions/CollaborationKit : masterDefine npm peer dependency explicitly
mediawiki/extensions/InputBox : masterDefine npm peer dependency explicitly
mediawiki/extensions/Graph : masterDefine npm peer dependency explicitly
mediawiki/extensions/GlobalUserPage : masterDefine npm peer dependency explicitly
mediawiki/extensions/GlobalPreferences : masterDefine npm peer dependency explicitly
mediawiki/extensions/GettingStarted : masterDefine npm peer dependency explicitly
mediawiki/extensions/FlaggedRevs : masterDefine npm peer dependency explicitly
mediawiki/extensions/EducationProgram : masterDefine npm peer dependency explicitly
mediawiki/extensions/ExtensionDistributor : masterDefine npm peer dependency explicitly
mediawiki/extensions/FileImporter : masterDefine npm peer dependency explicitly
mediawiki/extensions/DismissableSiteNotice : masterDefine npm peer dependency explicitly
mediawiki/extensions/ContributionTracking : masterDefine npm peer dependency explicitly
mediawiki/extensions/ConfirmEdit : masterDefine npm peer dependency explicitly
mediawiki/extensions/Collection : masterDefine npm peer dependency explicitly
mediawiki/extensions/CodeReview : masterDefine npm peer dependency explicitly
mediawiki/extensions/CirrusSearch : masterDefine npm peer dependency explicitly
mediawiki/extensions/CodeEditor : masterDefine npm peer dependency explicitly
mediawiki/extensions/Citoid : masterDefine npm peer dependency explicitly
mediawiki/extensions/CiteThisPage : masterDefine npm peer dependency explicitly
mediawiki/extensions/CharInsert : masterDefine npm peer dependency explicitly
mediawiki/extensions/CleanChanges : masterDefine npm peer dependency explicitly
mediawiki/extensions/Capiunto : masterDefine npm peer dependency explicitly
mediawiki/extensions/Babel : masterDefine npm peer dependency explicitly
mediawiki/extensions/CentralAuth : masterDefine npm peer dependency explicitly
mediawiki/extensions/CentralNotice : masterDefine npm peer dependency explicitly
mediawiki/extensions/ArticlePlaceholder : masterDefine npm peer dependency explicitly
mediawiki/extensions/BetaFeatures : masterDefine npm peer dependency explicitly
mediawiki/extensions/ApiFeatureUsage : masterDefine npm peer dependency explicitly
mediawiki/extensions/3D : masterDefine npm peer dependency explicitly
mediawiki/extensions/CategoryTree : masterDefine npm peer dependency explicitly
mediawiki/extensions/Calendar : masterDefine npm peer dependency explicitly
mediawiki/extensions/AbuseFilter : masterDefine npm peer dependency explicitly

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Change 368736 had a related patch set uploaded (by Hashar; owner: Hashar):
[mediawiki/extensions/ZeroBanner@master] Define npm peer dependency explicitly

https://gerrit.wikimedia.org/r/368736

Change 368737 had a related patch set uploaded (by Hashar; owner: Hashar):
[mediawiki/extensions/ZeroPortal@master] Define npm peer dependency explicitly

https://gerrit.wikimedia.org/r/368737

Change 368695 merged by Hashar:
[mediawiki/extensions/ORES@master] Define npm peer dependency explicitly

https://gerrit.wikimedia.org/r/368695

Change 368689 merged by Hashar:
[mediawiki/extensions/MobileApp@master] Define npm peer dependency explicitly

https://gerrit.wikimedia.org/r/368689

Change 368694 merged by Hashar:
[mediawiki/extensions/OpenStackManager@master] Define npm peer dependency explicitly

https://gerrit.wikimedia.org/r/368694

Change 368690 merged by Hashar:
[mediawiki/extensions/MultimediaViewer@master] Define npm peer dependency explicitly

https://gerrit.wikimedia.org/r/368690

Change 368693 merged by Hashar:
[mediawiki/extensions/OAuth@master] Define npm peer dependency explicitly

https://gerrit.wikimedia.org/r/368693

Change 368719 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@master] Define npm peer dependency explicitly

https://gerrit.wikimedia.org/r/368719

Change 368698 merged by jenkins-bot:
[mediawiki/extensions/PerformanceInspector@master] Define npm peer dependency explicitly

https://gerrit.wikimedia.org/r/368698

Change 368699 merged by jenkins-bot:
[mediawiki/extensions/Petition@master] Define npm peer dependency explicitly

https://gerrit.wikimedia.org/r/368699

Change 368700 merged by Hashar:
[mediawiki/extensions/Popups@master] Define npm peer dependency explicitly

https://gerrit.wikimedia.org/r/368700

Change 368697 merged by jenkins-bot:
[mediawiki/extensions/ParserMigration@master] Define npm peer dependency explicitly

https://gerrit.wikimedia.org/r/368697

Change 368702 merged by Hashar:
[mediawiki/extensions/ProofreadPage@master] Define npm peer dependency explicitly

https://gerrit.wikimedia.org/r/368702

Change 368696 merged by jenkins-bot:
[mediawiki/extensions/PageTriage@master] Define npm peer dependency explicitly

https://gerrit.wikimedia.org/r/368696

Change 368705 merged by Hashar:
[mediawiki/extensions/Quiz@master] Define npm peer dependency explicitly

https://gerrit.wikimedia.org/r/368705

Change 368704 merged by Hashar:
[mediawiki/extensions/QuickSurveys@master] Define npm peer dependency explicitly

https://gerrit.wikimedia.org/r/368704

Change 368707 merged by Hashar:
[mediawiki/extensions/Score@master] Define npm peer dependency explicitly

https://gerrit.wikimedia.org/r/368707

Change 368709 merged by Hashar:
[mediawiki/extensions/SecurePoll@master] Define npm peer dependency explicitly

https://gerrit.wikimedia.org/r/368709

Change 368708 merged by Hashar:
[mediawiki/extensions/Scribunto@master] Define npm peer dependency explicitly

https://gerrit.wikimedia.org/r/368708

Change 368710 merged by Hashar:
[mediawiki/extensions/ShortUrl@master] Define npm peer dependency explicitly

https://gerrit.wikimedia.org/r/368710

Change 368706 merged by Hashar:
[mediawiki/extensions/RevisionSlider@master] Define npm peer dependency explicitly

https://gerrit.wikimedia.org/r/368706

Change 368726 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Define npm peer dependency explicitly

https://gerrit.wikimedia.org/r/368726

Change 368724 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Define npm peer dependency explicitly

https://gerrit.wikimedia.org/r/368724

Change 368711 merged by Hashar:
[mediawiki/extensions/SyntaxHighlight_GeSHi@master] Define npm peer dependency explicitly

https://gerrit.wikimedia.org/r/368711

Change 368714 merged by Hashar:
[mediawiki/extensions/TemplateData@master] Define npm peer dependency explicitly

https://gerrit.wikimedia.org/r/368714

Change 368715 merged by Hashar:
[mediawiki/extensions/TemplateSandbox@master] Define npm peer dependency explicitly

https://gerrit.wikimedia.org/r/368715

Change 368717 merged by Hashar:
[mediawiki/extensions/TocTree@master] Define npm peer dependency explicitly

https://gerrit.wikimedia.org/r/368717

Change 368716 merged by Hashar:
[mediawiki/extensions/TimedMediaHandler@master] Define npm peer dependency explicitly

https://gerrit.wikimedia.org/r/368716

Change 368631 had a related patch set uploaded (by Bartosz Dziewoński; owner: Hashar):
[mediawiki/skins/MinervaNeue@master] Define npm peer dependency explicitly

https://gerrit.wikimedia.org/r/368631

Change 368629 had a related patch set uploaded (by Bartosz Dziewoński; owner: Hashar):
[mediawiki/skins/apex@master] Define npm peer dependency explicitly

https://gerrit.wikimedia.org/r/368629

Change 368721 merged by Hashar:
[mediawiki/extensions/UploadWizard@master] Define npm peer dependency explicitly

https://gerrit.wikimedia.org/r/368721

Change 368630 had a related patch set uploaded (by Bartosz Dziewoński; owner: Hashar):
[mediawiki/skins/CologneBlue@master] Define npm peer dependency explicitly

https://gerrit.wikimedia.org/r/368630

Change 368632 had a related patch set uploaded (by Bartosz Dziewoński; owner: Hashar):
[mediawiki/skins/Modern@master] Define npm peer dependency explicitly

https://gerrit.wikimedia.org/r/368632

Change 368633 had a related patch set uploaded (by Bartosz Dziewoński; owner: Hashar):
[mediawiki/skins/MonoBook@master] Define npm peer dependency explicitly

https://gerrit.wikimedia.org/r/368633

Change 368722 merged by Hashar:
[mediawiki/extensions/UrlShortener@master] Define npm peer dependency explicitly

https://gerrit.wikimedia.org/r/368722

Change 368720 merged by Hashar:
[mediawiki/extensions/UniversalLanguageSelector@master] Define npm peer dependency explicitly

https://gerrit.wikimedia.org/r/368720

Change 368723 merged by Hashar:
[mediawiki/extensions/VipsScaler@master] Define npm peer dependency explicitly

https://gerrit.wikimedia.org/r/368723

Change 368718 merged by Hashar:
[mediawiki/extensions/Translate@master] Define npm peer dependency explicitly

https://gerrit.wikimedia.org/r/368718

Change 368629 merged by jenkins-bot:
[mediawiki/skins/apex@master] Define npm peer dependency explicitly

https://gerrit.wikimedia.org/r/368629

Change 368630 merged by jenkins-bot:
[mediawiki/skins/CologneBlue@master] Define npm peer dependency explicitly

https://gerrit.wikimedia.org/r/368630

Change 368632 merged by jenkins-bot:
[mediawiki/skins/Modern@master] Define npm peer dependency explicitly

https://gerrit.wikimedia.org/r/368632

Change 368633 merged by jenkins-bot:
[mediawiki/skins/MonoBook@master] Define npm peer dependency explicitly

https://gerrit.wikimedia.org/r/368633

Change 368635 merged by jenkins-bot:
[mediawiki/skins/Nostalgia@master] Define npm peer dependency explicitly

https://gerrit.wikimedia.org/r/368635

Change 368636 merged by jenkins-bot:
[mediawiki/skins/Timeless@master] Define npm peer dependency explicitly

https://gerrit.wikimedia.org/r/368636

Change 368631 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Define npm peer dependency explicitly

https://gerrit.wikimedia.org/r/368631

Change 368637 merged by jenkins-bot:
[mediawiki/skins/Vector@master] Define npm peer dependency explicitly

https://gerrit.wikimedia.org/r/368637

Change 368728 merged by Hashar:
[mediawiki/extensions/WikidataPageBanner@master] Define npm peer dependency explicitly

https://gerrit.wikimedia.org/r/368728

Change 368727 merged by Hashar:
[mediawiki/extensions/Wikidata.org@master] Define npm peer dependency explicitly

https://gerrit.wikimedia.org/r/368727

Change 368725 merged by Hashar:
[mediawiki/extensions/WikibaseMediaInfo@master] Define npm peer dependency explicitly

https://gerrit.wikimedia.org/r/368725

Change 368730 merged by Hashar:
[mediawiki/extensions/wikihiero@master] Define npm peer dependency explicitly

https://gerrit.wikimedia.org/r/368730

Change 368731 merged by Hashar:
[mediawiki/extensions/WikiLove@master] Define npm peer dependency explicitly

https://gerrit.wikimedia.org/r/368731

Change 368729 merged by Hashar:
[mediawiki/extensions/WikiEditor@master] Define npm peer dependency explicitly

https://gerrit.wikimedia.org/r/368729

Change 368733 merged by Hashar:
[mediawiki/extensions/WikimediaIncubator@master] Define npm peer dependency explicitly

https://gerrit.wikimedia.org/r/368733

Change 368734 merged by Hashar:
[mediawiki/extensions/WikimediaMessages@master] Define npm peer dependency explicitly

https://gerrit.wikimedia.org/r/368734

Change 368732 merged by Hashar:
[mediawiki/extensions/WikimediaBadges@master] Define npm peer dependency explicitly

https://gerrit.wikimedia.org/r/368732

Change 368735 merged by Hashar:
[mediawiki/extensions/Wikispeech@master] Define npm peer dependency explicitly

https://gerrit.wikimedia.org/r/368735

Change 368737 merged by Hashar:
[mediawiki/extensions/ZeroPortal@master] Define npm peer dependency explicitly

https://gerrit.wikimedia.org/r/368737

Change 368736 merged by Hashar:
[mediawiki/extensions/ZeroBanner@master] Define npm peer dependency explicitly

https://gerrit.wikimedia.org/r/368736

hashar updated the task description. (Show Details)Jul 31 2017, 1:17 PM

Change 368627 merged by jenkins-bot:
[labs/tools/heritage@master] Define npm peer dependency explicitly

https://gerrit.wikimedia.org/r/368627

hashar updated the task description. (Show Details)Jul 31 2017, 1:24 PM
hashar updated the task description. (Show Details)

Change 368768 had a related patch set uploaded (by Hashar; owner: Hashar):
[mediawiki/extensions/DonationInterface@deployment] Define npm peer dependency explicitly

https://gerrit.wikimedia.org/r/368768

Change 368768 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@deployment] Define npm peer dependency explicitly

https://gerrit.wikimedia.org/r/368768

hashar closed this task as Resolved.Jul 31 2017, 1:53 PM
hashar claimed this task.

Looks like all repositories are covered now. The last patches pending are for trending-edits

mediawiki/services/trending-editshttps://gerrit.wikimedia.org/r/368640
mediawiki/services/trending-edits/deployNeed above patch to make it in the submodule

Change 368663 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Define npm peer dependency explicitly

https://gerrit.wikimedia.org/r/368663

Change 369320 had a related patch set uploaded (by Hashar; owner: Hashar):
[mediawiki/extensions/PageTriage@master] build: bump grunt-contrib-watch

https://gerrit.wikimedia.org/r/369320

Change 369321 had a related patch set uploaded (by Hashar; owner: Hashar):
[mediawiki/extensions/PronunciationRecording@master] build: bump grunt-contrib-watch

https://gerrit.wikimedia.org/r/369321

Change 369322 had a related patch set uploaded (by Hashar; owner: Hashar):
[mediawiki/extensions/DonationInterface@master] build: bump grunt-contrib-watch

https://gerrit.wikimedia.org/r/369322

Change 369320 merged by jenkins-bot:
[mediawiki/extensions/PageTriage@master] build: bump grunt-contrib-watch

https://gerrit.wikimedia.org/r/369320

Change 369321 merged by jenkins-bot:
[mediawiki/extensions/PronunciationRecording@master] build: bump grunt-contrib-watch

https://gerrit.wikimedia.org/r/369321

Change 369329 had a related patch set uploaded (by Hashar; owner: Hashar):
[mediawiki/extensions/WikibaseQualityExternalValidation@master] Define npm peer dependency explicitly

https://gerrit.wikimedia.org/r/369329

Change 369330 had a related patch set uploaded (by Hashar; owner: Hashar):
[mediawiki/extensions/WikibaseQuality@master] Define npm peer dependency explicitly

https://gerrit.wikimedia.org/r/369330

Change 369331 had a related patch set uploaded (by Hashar; owner: Hashar):
[mediawiki/extensions/timeline@master] Define npm peer dependency explicitly

https://gerrit.wikimedia.org/r/369331

Change 369322 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] build: bump grunt-contrib-watch

https://gerrit.wikimedia.org/r/369322

Change 369331 merged by jenkins-bot:
[mediawiki/extensions/timeline@master] Define npm peer dependency explicitly

https://gerrit.wikimedia.org/r/369331

Change 369330 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQuality@master] Define npm peer dependency explicitly

https://gerrit.wikimedia.org/r/369330

Change 368640 merged by jenkins-bot:
[mediawiki/services/trending-edits@master] Define npm peer dependency explicitly

https://gerrit.wikimedia.org/r/368640

Change 369329 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityExternalValidation@master] Define npm peer dependency explicitly

https://gerrit.wikimedia.org/r/369329

Mentioned in SAL (#wikimedia-cloud) [2017-08-25T09:59:28Z] <Sebastian-WMSE> Deploy latest from Git master: cdedb07, 827fbb2 (T172094), 827fbb2, 2791dad, a7e5eaf, 03ca986, d84db16 (T173516), 7cfd1ca (T164251, T146454)

Restricted Application added a subscriber: jeblad. · View Herald TranscriptAug 25 2017, 9:59 AM